<?php use_helper('Javascript', 'Object', 'tvtl'); ?>
<div style="float:left; width: 100%">
  <div style="margin-top:10px; margin-bottom:10px">
    Loại menu:&nbsp;
    <?php
      $menulist = array('hor'=>'Menu ngang', 'ver'=>'Menu dọc');
      foreach (array_keys(blogStore::$moduleConfig['modules']) as $key) {
        if (substr($key, 0, 8) == 'leftmenu') {
          $i = substr($key, 8);
          $menulist['ver'.$i] = 'Menu dọc '.$i;
        }
      }
      echo select_tag('menutype', options_for_select($menulist, $type),
      array('onchange'=>"location.href='".url_for('admin/menu')."/type/'+this.value",
            'style'=>'width:120px')
    )?>
    &nbsp;<?php echo link_to('Thêm menu', '/admin/addmenu') ?>
  </div>
  <div id='menu_result' style="display:none"></div>
  <div class="span-5" style="float:left; width: 190px">
    <div id="menuTree"></div>
    <div style="margin-top:10px">
      <?php echo link_to('Đưa lên', '#', array('onclick'=>'menuManager.moveItem(-1); return false;')) ?> |
      <?php echo link_to('Đưa xuống', '#', array('onclick'=>'menuManager.moveItem(1); return false;')) ?>
    </div>
  </div>
  <div style="float: left; width: 530px;">
    <div class="left-tab">
      <div class="tab-menu-active" id="addtab"><?php echo link_to_function('Tạo menu con', "javascript:clickTab('add', 'edit');") ?></div>
      <div class="tab-menu-unactive" id="edittab"><?php echo link_to_function('Sửa đổi menu', "javascript:clickTab('edit', 'add');") ?></div>
      <div class="tab-menu-unactive"><?php echo link_to_function('Xóa mục menu', "menuManager.deleteItem();") ?></div>
    </div>
    <div class="right-content">
      <div id="add">
        <?php echo gridTable(array(
          array(3, 5),
          array('Loại', select_tag('rights',
            array(
              'add_entry'=>'Từ các bài viết',
              'add_template'=>'Từ menu chuẩn',
              'add_manual'=>'Tự nhập liên kết',
            ),
            array(
              'id' => 'add_type',
              'style' => 'width: 250px',
              'onclick' => 'changeMenuType()'
            )
          )
        ))); ?>
        <div id="add_manual">
          <?php echo gridTable(array(
            array(3, 5),
            array('Tiêu đề', input_tag('cr_menu_name', '', 'style="width: 250px" ')),
            array('Liên kết', input_tag('cr_menu_url', '', 'style="width: 250px" ')),
            array(submit_tag('Tạo menu', array('onclick'=>'menuManager.insertManual(); return false;')), '')
          )); ?>
        </div>

        <div id="add_template">
          <?php echo gridTable(array(
            array(3, 5),
            array('Thư mục mẫu', content_tag('div', '', array('id'=>'menu_template'))),
            array(submit_tag('<< Chuyển sang <<',
              array('onclick'=>'menuManager.insertMenuFromTemplate(templateMenuManager); return false')), '')
          )); ?>
        </div>

        <div id="add_entry">
          <?php echo gridTable(array(
            array(3, 5),
            array('Các bài viết', content_tag('div', '', array('id'=>'menu_entry'))),
            array(submit_tag('<< Chuyển sang <<',
              array('onclick'=>'menuManager.insertMenuFromTemplate(entryMenuManager)')), '')
          )); ?>
        </div>
      </div>
      <div id="edit" style="display: none;">
        <?php echo gridTable(array(
          array(3, 5),
          array('Tiêu đề', input_tag('ed_menu_name', '', 'style="width: 250px" ')),
          array('Liên kết', input_tag('ed_menu_url', '', 'style="width: 250px" ')),
          array(submit_tag('Sửa đổi',
              array('onclick'=>'menuManager.changeItem(null)')), '')
        )); ?>
      </div>
      <div id="delete" class="display: none;"></div>
    </div>
  </div>
  <div id='menu_comment' style="display:none; background:red; color: white; float:left; width:100%; margin-top:10px">
    Menu đã được sửa đổi. Để lưu lại xin hãy <?php echo link_to('nhấn vào đây', '#', array('onclick'=>'menuManager.saveToServer(); return false;')) ?>
  </div>
</div>
<div>&nbsp;
</div>
<div style="margin-left:200px">
  <?php //echo submit_tag('Cập nhật', array('onclick'=>'menuManager.saveToServer(); return false;', 'disabled'=>'true', 'style'=>'width:80px', 'id'=>'submit_button'))?>
</div>

<div id='debug'></div>
<?php use_javascript('/js/adminmenu.js', 'last'); ?>
<?php $save_url = url_for('admin/savemenu') ?>
<?php $sf_context->getResponse()->addJavascriptCommand(<<<EOD
changeMenuType();

menuManager = new menuTreeManager("menuTree", $menu, "$save_url", "$type");
templateMenuManager = new menuTreeManager("menu_template", $menu_template, "$save_url", "$type");
entryMenuManager = new menuTreeManager("menu_entry", $menu_entry, "$save_url", "$type");
EOD
); ?>
